
--reservados
update equ_detalleAlquiler
set detalleAlquiler_codigo='RES'
where active=1


--alquilados
update equ_detalleAlquiler
set detalleAlquiler_codigo='ALQ'
from equ_trazabilidad traz
	inner join equ_detalleAlquiler on equ_detalleAlquiler.id_equipo=traz.id_equipo and equ_detalleAlquiler.id_sucursal=traz.id_sucursal
where equ_detalleAlquiler.active=1 
and traz.active=1
and fechaDespacho_ff>'1/1/1900'
and id_tipotrazabilidad=6

--devueltos
update equ_detalleAlquiler
set detalleAlquiler_codigo='DEV'
from equ_trazabilidad traz
	inner join equ_detalleAlquiler on equ_detalleAlquiler.id_equipo=traz.id_equipo and equ_detalleAlquiler.id_sucursal=traz.id_sucursal
where equ_detalleAlquiler.active=1 
and traz.active=1
and fechaDespacho_ff>'1/1/1900' and fechaDevolucion_ff>fechaDespacho_ff
and id_tipotrazabilidad=6